import java.io.*;

public class TestObjectOutputStream {
  public static void main(String[] args) throws IOException {
    try ( // Tworzenie strumienia wyjściowego dla pliku object.dat
      ObjectOutputStream output =
        new ObjectOutputStream(new FileOutputStream("object.dat"));
    ) {
      // Zapis łańcucha znaków, wartości typu double i obiektu w pliku
      output.writeUTF("Jan");
      output.writeDouble(85.5);
      output.writeObject(new java.util.Date());
    }
  }
}
